packages bind-9.3.4-mktemp.patch
      Pages: < 1 >  DOWNLOAD      
--- bind-9.3.4/contrib/named-bootconf/named-bootconf.sh.orig	2007-06-05 09:25:23.000000000 +0200
+++ bind-9.3.4/contrib/named-bootconf/named-bootconf.sh	2007-06-05 09:27:48.000000000 +0200
@@ -54,11 +54,9 @@
 # POSSIBILITY OF SUCH DAMAGE.
 
 if [ ${OPTIONFILE-X} = X ]; then
-	WORKDIR=/tmp/`date +%s`.$$
-	( umask 077 ; mkdir $WORKDIR ) || {
-		echo "unable to create work directory '$WORKDIR'" >&2 
-		exit 1
-	}
+        WORKDIR=`mktemp -d /tmp/named-bootconf.XXXXXX` ||
+         { echo "unable to create work directory '$WORKDIR'" >&2; exit 1; }
+
 	OPTIONFILE=$WORKDIR/options
 	ZONEFILE=$WORKDIR/zones
 	COMMENTFILE=$WORKDIR/comments